---
title: HTMLObjectElement.useMap
slug: Web/API/HTMLObjectElement/useMap
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - useMap
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary">The <strong><code>useMap</code></strong> property of the {{domxref("HTMLObjectElement")}} interface returns a {{domxref("DOMString")}} that reflects the {{htmlattrxref("usemap", "object")}} HTML attribute, specifying a {{HTMLElement("map")}} element to use.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var String = HTMLObjectElement.useMap;
HTMLObjectElement.useMap = String;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('DOMString')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-object-usemap','useMap')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.useMap")}}</p>
